<?php

namespace App\Modules\Leads\WebPage\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateWebPageQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $domain,
        private string $description,
        private int $version,
        private int $status,
        private int $idAdmin,
        private int $idLanguage,
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }
    public function domain(): string
    {
        return $this->domain;
    }
    public function description(): string
    {
        return $this->description;
    }

    public function version(): int
    {
        return $this->version;
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
    public function idLanguage(): int
    {
        return $this->idLanguage;
    }
}
